Bug 798231 - [enh] support Icera-based Bandrich devices (C339)
[enh] support Icera-based Bandrich devices (C339)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 796966 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 06:46 EST by dev002
Modified: 2013-02-13 08:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dev002 2012-02-28 06:46:16 EST
Description of problem:
can not select 3G/HSPA only

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.plug bandluxe c339 hspa+
2.config nm wwan 3g only
3.try to connect
  
Actual results:
NetworkManager[643]: <warn> GSM connection failed: (32) Operation not supported
NetworkManager[643]: <info> (ttyACM0): device state change: prepare -> failed (reason 'unknown') [40 120 1]
NetworkManager[643]: <info> Marking connection 'name' invalid.
NetworkManager[643]: <warn> Activation (ttyACM0) failed.
NetworkManager[643]: <info> (ttyACM0): device state change: failed -> disconnected (reason 'none') [120 30 0]


Expected results:
all ok

Additional info:


----NM Connect ------
AT+CMER=3,0,0,1
OK
AT+CREG=2
OK
AT+CGREG=2
OK
AT+CSQ
+CSQ: 21,0
OK
AT+CSQ
+CSQ: 21,0
OK
AT+CSQ
+CSQ: 23,0
OK

---NM Disconnect  ---

AT+CGACT=0,1
ERROR (+cgact=(0-1))
AT+CREG=0
OK
AT+CGREG=0
OK
AT+CMER=0
OK

---config ---

at&v
ACTIVE PROFILE
E: 1
L: 1
M: 0
Q: 0
V: 1
X: 4
S0: 0
S2: 43
S3: 13
S4: 10
S5: 8
S6: 2
S7: 45
S8: 2
S10: 15
+CRC: 0
+CR: 0
+FCLASS: 0
+IMODE: 0
+CMGF: 0
+CSDH: 0
+ILRR: 0
+CRLP: 61,61,128,6,1,3
+CMEE: 0
+CBST: 116,1,0
+CNMI: 2,1,2,1,0
+CSTA: 129
+CSCS: "IRA"
+CSNS: 0
+DS: 3,0,512,20
&C: 1
&D: 2
+CCWE: 0
*TDTX: 0
+CTZU: 0
+CTZR: 0
+CV120: 1,1,1,0,0,0
+CGAUTO: 3
*TGMTPCACT: 0
*TGMTPCA: 1
*THCFG: 0
*TTS61: 1
*TLDCA: 1
*TFFOS: 0
+CHSN: 0,0,0,0
*TLLC: 0
*TESTCSD: 0
*TRLP: 0,0
*TGPPPLOG: 0
%IAUTOCONN: 0,0
%ISIMINIT: 0
%IUSSDMODE: 0
*TSIMINS: 0
+CMUX: 0
+CCUG: 0,0,0
+CLIP: 0
+COLP: 0
+CCWA: 0
+CAOC: 1
+CLIR: 0
+CUSD: 0
+CSSU: 0
+CSSI: 0
+CDIP: 0
+VCID: 0
*TSTMODE: 2
+CSCA: "+34<edit>",145
+CSMP: 17,255,0,0


--- supported at commands ---

at+clac
+CGMI
+CGMM
+CGMR
+GMI
+GMM
+GMR
D
DT
DP
A
DL
D>
H
+CHUP
O
+CMOD
+CIND
+CMEC
+CMER
+CACM
+CAMM
+CCLK
+CEER
+CGSN
+CIMI
+CKPD
+CLAC
+CNUM
+CPAS
+CPBF
+CPBR
+CPBS
+CPBW
+CPUC
+GCAP
+GSN
I
P
T
+CGACT
+CGANS
+CGATT
+CGCLASS
+CGCMOD
+CGDATA
+CGDCONT
+CGDSCONT
+CGEREP
+CGEQMIN
+CGEQNEG
+CGEQREQ
+CGPADDR
+CGQMIN
+CGQREQ
+CGREG
+CGSMS
+CGTFT
+COPS
+CPOL
%ICOPN
+COPN
+CSQ
+CREG
+CPLS
+CMGD
+CMGR
+CSCA
+CMGS
+CMGC
+CMSS
+CMGL
+CMGW
+CPMS
+CNMA
+CMMS
+CSCB
&C
&D
&F
&V
&W
+CBST
+CCWE
+CGAUTO
+CHSN
+CMEE
+CMGF
+CNMI
+CR
+CRC
+CRES
+CRLP
+CSAS
+CSCS
+CSNS
+CSDH
+CSTA
+CSMP
+CSMS
+CTZR
+CTZU
+CV120
+FCLASS
+ILRR
E
L
M
Q
S0
S10
S2
S3
S4
S5
S6
S7
S8
V
X
Z
+CFUN
+CMAR
+CPIN
+CSIM
+CRSM
+CCHO
+CCHC
+CGLA
+CRLA
+CUAD
+PACSP
H
+CAOC
+CCFC
+CCWA
+CCUG
+CDIP
+CHLD
+CLCK
+CLCC
+CLIP
+CLIR
+COLP
+CPWD
+CSSN
+CUSD
+VCID
*TSTCR
*TSTEV
*TSTGC
*TSTMODE
*TSTMS
*TSTPD
*TSTRT
*TSTRF
*TSTTONE
*TSTAUTO


--- lsusb ---v ---

Bus 001 Device 007: ID 1a8d:2006 BandRich, Inc. 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            2 Communications
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x1a8d BandRich, Inc.
  idProduct          0x2006 
  bcdDevice            0.01
  iManufacturer           3 BandRich
  iProduct                2 BandLuxe  3.5G HSPA Adapter
  iSerial                 4 <edit>
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          315
    bNumInterfaces         10
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           0
      bInterfaceClass         2 Communications
      bInterfaceSubClass      8 Wireless Handset Control
      bInterfaceProtocol      0 
      iInterface              0 
      CDC Header:
        bcdCDC               1.10
      CDC WHCM:
        bcdVersion           1.00
      CDC Union:
        bMasterInterface        0
        bSlaveInterface         1 2 3 4 5 6 8 9 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       1
      bNumEndpoints           0
      bInterfaceClass         2 Communications
      bInterfaceSubClass      8 Wireless Handset Control
      bInterfaceProtocol      0 
      iInterface              0 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         2 Communications
      bInterfaceSubClass      2 Abstract (modem)
      bInterfaceProtocol      1 AT-commands (v.25ter)
      iInterface              0 
      CDC Header:
        bcdCDC               1.10
      CDC ACM:
        bmCapabilities       0x07
          sends break
          line coding and serial state
          get/set/clear comm features
      CDC Call Management:
        bmCapabilities       0x03
          call management
          use DataInterface
        bDataInterface          2
      CDC Union:
        bMasterInterface        1
        bSlaveInterface         2 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               5
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        2
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        3
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         2 Communications
      bInterfaceSubClass      2 Abstract (modem)
      bInterfaceProtocol      1 AT-commands (v.25ter)
      iInterface              0 
      CDC Header:
        bcdCDC               1.10
      CDC ACM:
        bmCapabilities       0x07
          sends break
          line coding and serial state
          get/set/clear comm features
      CDC Call Management:
        bmCapabilities       0x03
          call management
          use DataInterface
        bDataInterface          4
      CDC Union:
        bMasterInterface        3
        bSlaveInterface         4 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               5
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        4
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x84  EP 4 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        5
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         2 Communications
      bInterfaceSubClass      6 Ethernet Networking
      bInterfaceProtocol      0 
      iInterface              0 
      CDC Header:
        bcdCDC               1.10
      CDC Ethernet:
        iMacAddress                      1 <edit>
        bmEthernetStatistics    0x0000000f
        wMaxSegmentSize               1536
        wNumberMCFilters            0x0003
        bNumberPowerFilters              1
      CDC Union:
        bMasterInterface        5
        bSlaveInterface         6 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               5
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        6
      bAlternateSetting       0
      bNumEndpoints           0
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 
      iInterface              0 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        6
      bAlternateSetting       1
      bNumEndpoints           2
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x86  EP 6 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        7
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x87  EP 7 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        8
      bAlternateSetting       0
      bNumEndpoints           0
      bInterfaceClass         2 Communications
      bInterfaceSubClass     11 OBEX
      bInterfaceProtocol      0 
      iInterface              0 
      CDC Header:
        bcdCDC               1.10
      CDC OBEX:
        bcdVersion           1.00
      CDC Union:
        bMasterInterface        8
        bSlaveInterface         9 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        9
      bAlternateSetting       0
      bNumEndpoints           0
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 
      iInterface              0 
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        9
      bAlternateSetting       1
      bNumEndpoints           2
      bInterfaceClass        10 CDC Data
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x88  EP 8 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x05  EP 5 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval              32
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            2 Communications
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)
Comment 1 Aleksander Morgado 2012-03-19 18:03:07 EDT
Can you follow the "Debugging NetworkManager 0.8 and 0.9 3G connections" steps in http://live.gnome.org/NetworkManager/Debugging in order to get ModemManager debug logs?
Comment 2 dev002 2012-03-20 09:31:59 EDT
(In reply to comment #1)
> Can you follow the "Debugging NetworkManager 0.8 and 0.9 3G connections" steps
> in http://live.gnome.org/NetworkManager/Debugging in order to get ModemManager
> debug logs?

modem-manager[23401]: <info>  [1332249751.892609] [mm-serial-port.c:735] mm_serial_port_open(): (ttyACM0) opening serial port...
modem-manager[23401]: <debug> [1332249751.896365] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 1 (open)
modem-manager[23401]: <info>  [1332249751.896806] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
modem-manager[23401]: <debug> [1332249751.998042] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATZ E0 V1<CR>'
modem-manager[23401]: <debug> [1332249752.010238] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.010487] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATZ E0 V1<CR>'
modem-manager[23401]: <debug> [1332249752.024081] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- 'ATZ E0 V1'
modem-manager[23401]: <debug> [1332249752.024845] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR>'
modem-manager[23401]: <debug> [1332249752.025709] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.026355] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATE0<CR>'
modem-manager[23401]: <debug> [1332249752.033410] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- 'ATE0'
modem-manager[23401]: <debug> [1332249752.034018] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.036934] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CMEE=1<CR>'
modem-manager[23401]: <debug> [1332249752.049051] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.049354] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATX4 &C1<CR>'
modem-manager[23401]: <debug> [1332249752.060632] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.060898] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CFUN=1<CR>'
modem-manager[23401]: <debug> [1332249752.072838] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <info>  [1332249752.073045] [mm-serial-port.c:735] mm_serial_port_open(): (ttyACM1) opening serial port...
modem-manager[23401]: <debug> [1332249752.073803] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM1) device open count is 1 (open)
modem-manager[23401]: <debug> [1332249752.074163] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+IFC=1,1<CR>'
modem-manager[23401]: <debug> [1332249752.087614] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
modem-manager[23401]: <debug> [1332249752.087816] [mm-serial-parsers.c:412] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
modem-manager[23401]: <debug> [1332249752.087933] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CPMS="ME","ME","ME"<CR>'
modem-manager[23401]: <debug> [1332249752.119414] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CPMS: 1,50,1,50,1,50<CR><LF>'
modem-manager[23401]: <debug> [1332249752.120061] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.120366] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CNMI=2,1,2,1,0<CR>'
modem-manager[23401]: <debug> [1332249752.142246] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.142498] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CUSD=1<CR>'
modem-manager[23401]: <debug> [1332249752.154429] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.154700] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CIND=?<CR>'
modem-manager[23401]: <debug> [1332249752.166905] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CIND: ("service",(0-1)),("call",(0-1)),("callsetup",(0-3))<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.167391] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CSCS=?<CR>'
modem-manager[23401]: <debug> [1332249752.179390] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CSCS: ("GSM","HEX","IRA","PCCP","PCDN","UCS2","8859-1")<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.179855] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CMER=3,0,0,1<CR>'
modem-manager[23401]: <debug> [1332249752.199407] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.199697] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): --> 'AT+CMER=3,0,0,1<CR>'
modem-manager[23401]: <debug> [1332249752.199783] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CSCS="UCS2"<CR>'
modem-manager[23401]: <debug> [1332249752.225718] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.226569] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- 'AT+CMER=3,0,0,1'
modem-manager[23401]: <debug> [1332249752.227208] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR>'
modem-manager[23401]: <debug> [1332249752.227831] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.228367] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CSCS?<CR>'
modem-manager[23401]: <debug> [1332249752.239407] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <info>  [1332249752.240031] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
modem-manager[23401]: <debug> [1332249752.240704] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CREG=2<CR>'
modem-manager[23401]: <debug> [1332249752.254255] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.255090] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CREG?<CR>'
modem-manager[23401]: <debug> [1332249752.266518] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CREG: 2,0<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.266921] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CGREG=2<CR>'
modem-manager[23401]: <debug> [1332249752.280311] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.280630] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CGREG?<CR>'
modem-manager[23401]: <debug> [1332249752.280710] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): --> 'AT+CREG=2<CR>'
modem-manager[23401]: <debug> [1332249752.297316] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CGREG: 2,1,"0A**","019*****"<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.297583] [mm-generic-gsm.c:2614] mm_generic_gsm_set_reg_status(): PS registration state changed: 1
modem-manager[23401]: <info>  [1332249752.299265] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
modem-manager[23401]: <debug> [1332249752.299753] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- 'AT+CREG=2'
modem-manager[23401]: <debug> [1332249752.300009] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR>'
modem-manager[23401]: <debug> [1332249752.301851] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.304327] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+COPS=3,2;+COPS?<CR>'
modem-manager[23401]: <debug> [1332249752.304458] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): --> 'AT+CGREG=2<CR>'
modem-manager[23401]: <debug> [1332249752.325539] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- 'AT+CGREG=2'
modem-manager[23401]: <debug> [1332249752.325900] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR>'
modem-manager[23401]: <debug> [1332249752.327790] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.328489] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): number => "*99#"
modem-manager[23401]: <debug> [1332249752.329871] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): username => "movistar"
modem-manager[23401]: <debug> [1332249752.329967] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): password => "movistar"
modem-manager[23401]: <debug> [1332249752.330015] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): apn => "movistar.es"
modem-manager[23401]: <debug> [1332249752.330074] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): network_mode => 8
modem-manager[23401]: <debug> [1332249752.330175] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): allowed_mode => 4
modem-manager[23401]: <debug> [1332249752.330231] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): home_only => TRUE
modem-manager[23401]: <debug> [1332249752.330329] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 0
modem-manager[23401]: <debug> [1332249752.333623] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 2
modem-manager[23401]: <debug> [1332249752.342808] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+COPS: 0,2,"21***",2<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.343483] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+COPS=3,0;+COPS?<CR>'
modem-manager[23401]: <debug> [1332249752.366848] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+COPS: 0,0,"Movistar",2<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249752.367501] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CSQ<CR>'
modem-manager[23401]: <debug> [1332249752.375905] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CSQ: 23,0<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249755.684580] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): number => "*99#"
modem-manager[23401]: <debug> [1332249755.684725] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): username => "movistar"
modem-manager[23401]: <debug> [1332249755.684761] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): password => "movistar"
modem-manager[23401]: <debug> [1332249755.684791] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): apn => "movistar.es"
modem-manager[23401]: <debug> [1332249755.684833] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): network_mode => 8
modem-manager[23401]: <debug> [1332249755.684867] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): allowed_mode => 4
modem-manager[23401]: <debug> [1332249755.684900] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): home_only => TRUE
modem-manager[23401]: <debug> [1332249755.684955] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 0
modem-manager[23401]: <debug> [1332249755.685146] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 2
modem-manager[23401]: <debug> [1332249758.690325] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): number => "*99#"
modem-manager[23401]: <debug> [1332249758.690469] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): username => "movistar"
modem-manager[23401]: <debug> [1332249758.690504] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): password => "movistar"
modem-manager[23401]: <debug> [1332249758.690536] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): apn => "movistar.es"
modem-manager[23401]: <debug> [1332249758.690576] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): network_mode => 8
modem-manager[23401]: <debug> [1332249758.690610] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): allowed_mode => 4
modem-manager[23401]: <debug> [1332249758.690645] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): home_only => TRUE
modem-manager[23401]: <debug> [1332249758.690699] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 0
modem-manager[23401]: <debug> [1332249758.690857] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 2
modem-manager[23401]: <debug> [1332249761.685410] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): number => "*99#"
modem-manager[23401]: <debug> [1332249761.685556] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): username => "movistar"
modem-manager[23401]: <debug> [1332249761.685591] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): password => "movistar"
modem-manager[23401]: <debug> [1332249761.685622] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): apn => "movistar.es"
modem-manager[23401]: <debug> [1332249761.685661] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): network_mode => 8
modem-manager[23401]: <debug> [1332249761.685695] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): allowed_mode => 4
modem-manager[23401]: <debug> [1332249761.685729] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): home_only => TRUE
modem-manager[23401]: <debug> [1332249761.685783] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 0
modem-manager[23401]: <debug> [1332249761.685936] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 2
modem-manager[23401]: <debug> [1332249782.154388] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CSQ<CR>'
modem-manager[23401]: <debug> [1332249782.162741] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CSQ: 23,0<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[23401]: <info>  [1332249789.750009] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> disabling)
modem-manager[23401]: <debug> [1332249789.753359] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 0 (close)
modem-manager[23401]: <info>  [1332249789.753447] [mm-serial-port.c:853] mm_serial_port_close(): (ttyACM0) closing serial port...
modem-manager[23401]: <info>  [1332249789.758348] [mm-serial-port.c:874] mm_serial_port_close(): (ttyACM0) serial port closed
modem-manager[23401]: <info>  [1332249789.758812] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)
modem-manager[23401]: <debug> [1332249789.760059] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): --> 'AT+CREG=0<CR>'
modem-manager[23401]: <debug> [1332249789.781840] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- 'AT+CREG=0<CR><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249789.782302] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): --> 'AT+CGREG=0<CR>'
modem-manager[23401]: <debug> [1332249789.800721] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- 'AT+CGREG=0'
modem-manager[23401]: <debug> [1332249789.801539] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR><CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249789.802069] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): --> 'AT+CMER=0<CR>'
modem-manager[23401]: <debug> [1332249789.820441] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- 'AT+CMER=0'
modem-manager[23401]: <debug> [1332249789.821075] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR>'
modem-manager[23401]: <debug> [1332249789.821752] [mm-at-serial-port.c:298] debug_log(): (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
modem-manager[23401]: <debug> [1332249789.822217] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM1) device open count is 0 (close)
modem-manager[23401]: <info>  [1332249789.822515] [mm-serial-port.c:853] mm_serial_port_close(): (ttyACM1) closing serial port...
modem-manager[23401]: <info>  [1332249789.825221] [mm-serial-port.c:874] mm_serial_port_close(): (ttyACM1) serial port closed
Comment 3 dev002 2012-03-20 09:38:32 EDT
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Mar 20 14:22:38 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: <warn> GSM connection failed: (32) Operation not supported
Mar 20 14:22:38 ww1 NetworkManager[675]: <warn> GSM connection failed: (32) Operation not supported
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: <info> (ttyACM0): device state change: prepare -> failed (reason 'unknown') [40 120 1]
Mar 20 14:22:38 ww1 NetworkManager[675]: <info> (ttyACM0): device state change: prepare -> failed (reason 'unknown') [40 120 1]
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: <warn> Activation (ttyACM0) failed.
Mar 20 14:22:38 ww1 NetworkManager[675]: <warn> Activation (ttyACM0) failed.
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: <info> (ttyACM0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Mar 20 14:22:38 ww1 NetworkManager[675]: <info> (ttyACM0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: <info> (ttyACM0): deactivating device (reason 'none') [0]
Mar 20 14:22:38 ww1 NetworkManager[675]: <info> (ttyACM0): deactivating device (reason 'none') [0]
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: nm_system_iface_flush_routes: assertion `ifindex > 0' failed
Mar 20 14:22:38 ww1 NetworkManager[675]: nm_system_iface_flush_routes: assertion `ifindex > 0' failed
Mar 20 14:22:38 ww1 NetworkManager[675]: NetworkManager[675]: nm_system_iface_flush_addresses: assertion `ifindex > 0' failed
Mar 20 14:22:38 ww1 NetworkManager[675]: nm_system_iface_flush_addresses: assertion `ifindex > 0' failed
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Auto-activating connection 'Movistar (Telefónica)'.
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Auto-activating connection 'Movistar (Telefónica)'.
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) starting connection 'Movistar (Telefónica)'
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) starting connection 'Movistar (Telefónica)'
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> (ttyACM0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> (ttyACM0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> (ttyACM0): device state change: prepare -> need-auth (reason 'none') [40 60 0]
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> (ttyACM0): device state change: prepare -> need-auth (reason 'none') [40 60 0]
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> (ttyACM0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> (ttyACM0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685410] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): number => "*99#"
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685556] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): username => "movistar"
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685591] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): password => "movistar"
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685622] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): apn => "movistar.es"
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685661] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): network_mode => 8
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685695] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): allowed_mode => 4
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685729] [mm-generic-gsm.c:5256] simple_connect(): (ttyACM0): home_only => TRUE
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685783] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 0
Mar 20 14:22:41 ww1 modem-manager[23401]: <debug> [1332249761.685936] [mm-generic-gsm.c:5145] simple_state_machine(): (ttyACM0): simple connect state 2
Mar 20 14:22:41 ww1 NetworkManager[675]: NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Mar 20 14:22:41 ww1 NetworkManager[675]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Comment 4 Aleksander Morgado 2012-03-20 10:17:07 EDT
Does it work if you don't restrict it to 3G only? The generic plugin doesn't know how to restrict connections to 2G-only or 3G-only.
Comment 5 dev002 2012-03-20 10:29:46 EDT
(In reply to comment #4)
> Does it work if you don't restrict it to 3G only?
Yes

> The generic plugin doesn't
> know how to restrict connections to 2G-only or 3G-only.



# nm-connection-editor
This program say another thing. Click here for 3G/HSPA only,...
Comment 6 Aleksander Morgado 2012-03-20 10:39:38 EDT
At the moment there is no way to expose in the ModemManager API which are the modes currently supported by the modem; so if a modem cannot support "3G only" or "3G preferred", nm-connection-editor will still show all the options in the combobox.
Comment 7 Dan Williams 2012-07-20 17:48:29 EDT
If you can talk to the modem via a serial port (which it seems you can, since you grabbed AT&V and AT+CLAC), can you run:

AT%NWSTATE?
AT%NWSTATE
AT%IPSYS?

for us?  This kinda looks like an Icera chipset.
Comment 8 Dan Williams 2012-07-20 17:51:16 EDT
(In reply to comment #6)
> At the moment there is no way to expose in the ModemManager API which are
> the modes currently supported by the modem; so if a modem cannot support "3G
> only" or "3G preferred", nm-connection-editor will still show all the
> options in the combobox.

Also, connections aren't necessarily device-specific, so the editor has no idea what modem the connection is usually used with.  I could just as easily put the SIM in a different device which does support mode selection, and use the same connection to activate it.  The "device ID" from MM was a way to identify specific devices if we could, and could be used to lock a connection to a specific device, but in reality we'd rather use the "SIM ID" from MM, since the PIN code is SIM specific and not device specific.  Or perhaps better, lock it to a specific combination of device and SIM, at the risk of annoying users when they swap the SIM between devices and have to set everything back up again.

But really, most people don't swap the SIM between devices, or if they do, it's between just a few devices, so the hit here wouldn't be that bad.
Comment 9 Dan Williams 2012-07-20 17:54:06 EDT
And I haven't bought and Bandrich testing hardware because they're so damn expensive off eBay, even the 3 year old models like the C270.
Comment 10 Dan Williams 2012-07-20 17:56:01 EDT
One thing you could do, dev002, is tar/gzip up the "fake driver CD" the device provides when you first plug it in, and email that to me, or email me a link where I can download it from.  Then I might be able to figure out from the Bandrich connection manager what AT commands the device uses for stuff like preferred mode, access technology reporting, etc.
Comment 11 Dan Williams 2012-07-24 19:06:36 EDT
Confirmed via email that the Bandluxe c339 is indeed an Icera-based device.
Comment 12 dev002 2012-07-25 04:06:26 EDT
(In reply to comment #11)
> Confirmed via email that the Bandluxe c339 is indeed an Icera-based device.

I think,

ICE8042,
Icera Livanto Espresso 302 Data Platform (E302)?

http://www.pas-world.com/static/images/bandluxec339.jpg
Comment 13 Dan Williams 2012-07-27 11:04:05 EDT
*** Bug 796966 has been marked as a duplicate of this bug. ***
Comment 14 Dan Williams 2012-07-27 11:09:59 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Confirmed via email that the Bandluxe c339 is indeed an Icera-based device.
> 
> I think,
> 
> ICE8042,
> Icera Livanto Espresso 302 Data Platform (E302)?
> 
> http://www.pas-world.com/static/images/bandluxec339.jpg

Yeah; the AT commands that I had you enter and the responses they produced are definitely Icera-proprietary AT commands, so we can assume that the chipset is an Icera one :)
Comment 15 Dan Williams 2012-07-27 11:10:48 EDT
Well, and your internal picture too, of course; but you can't always trust what the chip says, the real test is what AT commands it replies to.
Comment 16 Dan Williams 2012-08-03 11:54:19 EDT
ModemManager 0.6 plugin for Icera-based Bandrich devices is now upstream on the 'bandrich' branch.
Comment 17 Dan Williams 2012-08-03 11:55:05 EDT
http://cgit.freedesktop.org/ModemManager/ModemManager/log/?h=bandrich

I need to build some testing packages that you can install, and then we can see if it actually works :)
Comment 18 dev002 2012-11-07 05:46:16 EST
Where is the plugin?
Comment 19 Fedora End Of Life 2013-01-16 08:11:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Fedora End Of Life 2013-02-13 08:53:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.